Bug 33198

Summary: Reorganize, document and rename OS() platform macros.
Product: WebKit Reporter: Maciej Stachowiak <mjs>
Component: Web Template FrameworkAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: dbates, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Other   
OS: OS X 10.5   
Attachments:
Description Flags
Patch fishd: review+

Description Maciej Stachowiak 2010-01-04 23:52:58 PST
Reorganize, document and rename OS() platform macros.
Comment 1 Maciej Stachowiak 2010-01-05 00:10:31 PST
Created attachment 45868 [details]
Patch
Comment 2 WebKit Review Bot 2010-01-05 00:14:12 PST
Attachment 45868 [details] did not pass style-queue:

Failed to run "WebKitTools/Scripts/check-webkit-style" exit_code: 1
WebKit/chromium/src/GraphicsContext3D.cpp:355:  One space before end of line comments  [whitespace/comments] [5]
WebCore/platform/graphics/SimpleFontData.h:143:  One space before end of line comments  [whitespace/comments] [5]
WebCore/platform/graphics/SimpleFontData.h:230:  One space before end of line comments  [whitespace/comments] [5]
WebCore/plugins/PluginPackage.cpp:129:  Should have a space between // and comment  [whitespace/comments] [4]
JavaScriptCore/runtime/DatePrototype.cpp:200:  Extra space before ( in function call  [whitespace/parens] [4]
JavaScriptCore/wtf/Platform.h:320:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
JavaScriptCore/wtf/Platform.h:321:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
JavaScriptCore/wtf/Platform.h:382:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
JavaScriptCore/wtf/Platform.h:383:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
JavaScriptCore/wtf/Platform.h:384:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
JavaScriptCore/wtf/Platform.h:385:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
JavaScriptCore/wtf/Platform.h:386:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
JavaScriptCore/wtf/Platform.h:387:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
JavaScriptCore/wtf/Platform.h:388:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
JavaScriptCore/wtf/Platform.h:389:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
JavaScriptCore/wtf/Platform.h:390:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
JavaScriptCore/wtf/Platform.h:391:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
JavaScriptCore/wtf/Platform.h:394:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
JavaScriptCore/wtf/Platform.h:909:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
JavaScriptCore/wtf/Platform.h:910:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
JavaScriptCore/wtf/Platform.h:911:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Total errors found: 21
Comment 3 Maciej Stachowiak 2010-01-05 00:58:47 PST
Committed r52791: <http://trac.webkit.org/changeset/52791>
Comment 4 Daniel Bates 2010-01-08 19:52:06 PST
We should fix all the style errors found by the style bot, see bug #33417.